p{hyphens:none;text-align:justify;margin-top:1lh;margin-bottom:1em;text-wrap:wrap}li{text-wrap:pretty}p>code{vertical-align:bottom}code{font-family:jetbrainsmonolight,monospace}pre{border-top:1px solid #fff;border-bottom:1px solid #fff;background-color:#fff8ee;padding:10px 5px;overflow-x:auto}pre>code{font-size:1rem}:root{--transition-width:700px;--transition-buffer:10x;--button-height:48px}.url{word-break:break-all}h1{font-size:2rem;margin:21px 0}h1::first-letter{font-size:1.125em;font-variation-settings:"wght" 390}h2{display:flex;font-size:1.75rem;align-items:center;line-height:1.5;margin:1lh 0 0}h2::before{content:url(elvenfiligree.svg);width:1.5em;height:1.5em;margin-right:.25em}h2::after{content:url(elvenfiligree.svg);width:1.5em;height:1.5em;margin-left:.25em}b,strong{font-variation-settings:"wght" 600}a:link{color:#00e}a:visited{color:#551a8b}a:hover{color:red}a:active{text-decoration-style:double;color:red}a.menu-button,a.back-button{display:inline-block;line-height:var(--button-height);width:100%;color:#000}.homepage-nav>span{--longest-menu-button:140px;max-width:calc(1.5 * var(--longest-menu-button));flex:1 0 var(--longest-menu-button)}.writing-nav>span{--longest-menu-button:160px;max-width:calc(1.2 * var(--longest-menu-button));flex:1 0 var(--longest-menu-button)}.writing-nav>span:has(>a.back-button){flex:0 0 40px}nav span:has(>.menu-button){overflow:visible;border-left:2px solid #000;border-right:2px solid #000;border-radius:0 5px 0 5px/0 4px 0 4px;transition:border-radius 50ms linear 0s}nav span:has(>a.menu-button:hover){border-radius:70% 2px 70% 2px/25% 8px 25% 8px;transition:border-radius 0ms linear 0s,background-color 0ms linear 350ms;background-image:radial-gradient(ellipse at center,#FFFFFF22 0%,#00000000 80%,#00000000 100%)}nav span:has(>a.menu-button:hover:active){transition:border-radius 0ms linear 0s;background-color:#000}.menu-button:any-link,.back-button:any-link{text-decoration:none}.menu-button:hover{transition:color 0ms linear 350ms,text-shadow 0ms linear 350ms}.menu-button:hover:active{transition:none;color:#fa0;text-shadow:0 0 .125em #fa0,0 0 .0125em #fff}.menu-button:active{user-select:none}@container(inline-size > 1100px){.mobile-toc[open] + main {
    
    transform: translateX(200px);
  }
  header:has(+ .mobile-toc[open]) {
    
    transform: translateX(200px);
  }
}.mobile-toc-spacer{@container(inline-size <= 1100px){display: none;
  }height:50px}.mobile-toc{@container(inline-size <= 1100px){background: linear-gradient(to bottom, #AAAAAA 0%, #FFF3E5 100%);
    
    
    
    
    
    
    flex: 0 1 auto;
    align-self: center;
    width: min(100%, 700px);
  }@container(inline-size > 1100px){background-color: #FFF3E5;
    position: fixed;
    left: 0px;
    top: 35vh;
    max-width: 400px;
    &::details-content {
      direction: rtl;
      overflow-y: scroll;
      overflow-x: hidden;
      overscroll-behavior-y: contain;
      max-height: calc(65vh - 50px);
    }
  }& > summary{padding-left:3px;cursor:pointer;height:50px;display:flex;align-items:center;gap:9px;font-size:18px;list-style:none;font-variation-settings:"wght" 410;@container(700px < inline-size <= 1100px){&::after {
        content: "Table of Contents";
      }
    }&::before{content:url(toc-rotate.svg);display:inline-block;text-align:center;height:30px;width:30px;padding:4px;border-width:0 5px;border-style:solid;border-color:#0000 #000 #0000 #000a;border-radius:50%;transition:border-radius 50ms linear 0s,transform 50ms linear 0s,border-color 0ms linear 50ms}}&[open]{@container(inline-size > 1100px){border-top-right-radius: 10px;
      
      min-width: 250px;
    }}&[open] > summary{@container(inline-size <= 1100px){background-color: #AAAAAA;
    }@container(inline-size > 1100px){border-top-right-radius: 10px;
      background-color: #E7DFC8;
    }&::after{content:"Table of Contents"}&::before{border-color:#0000 #000 #0000 #0000;border-radius:0 100% 100% 0/0 50% 50% 0;transform:rotate(90deg);transition:border-radius 50ms linear 0s,transform 50ms linear 0s,border-color 0ms linear 0s}}&[open] > .shortcut-list > li{animation-name:inscrypt;animation-duration:66ms;animation-timing-function:cubic-bezier(.35,.65,.35,.65);animation-iteration-count:1;animation-direction:forwards;animation-fill-mode:both}}.shortcut-list{direction:ltr;display:flex;flex-direction:column;gap:1px;overflow:hidden;list-style:none;padding:0;margin:2px 2px 1.4em;& > li{display:flex;flex-direction:row;align-items:center;gap:30px}& > li::before{display:inline-block;font-size:24px;content:"▻";width:0;opacity:0}& > li:has(> a:hover)::before{opacity:1}& > li:has(> a:active)::before{opacity:1;transform:scale(1.4)}& > li > a{display:inline-block;flex:1 1 content;color:#fff;background-color:#644117;border:2px solid;border-color:#3c2509;border-radius:0 10px 0 10px/0 10px 0 10px;padding:1px 6px;user-select:none;&:any-link{text-decoration:none}}}@keyframes inscrypt{0%{opacity:0;transform:scale(1)translateY(0)}1%{opacity:1;transform:scale(2)translateY(100px)}100%{opacity:1;transform:scale(1)translateY(0)}}.blog-header:any-link{text-decoration:none;color:#6c0f7c}.blog-header:hover{color:red}.blog-header:active{outline:1px dashed #000;color:red}.blog-header-date{display:block;font-size:.8em;padding-top:5px}.article-list{list-style-type:none;padding:0}.article-list>li{border-top:1px solid #aaa}.article-list>li>a{padding:2px 5px;color:#36013f;display:block}.article-list>li>a:any-link{text-decoration:none}.article-list>li>a:hover,.article-list>li>a:focus{outline:1px solid #aaa;background-color:#ccc;color:#000}.article-list>li>a:active{color:#fff;outline:1px solid #888;background-color:#888}.article-list>li>span{padding:2px 5px;color:#36013f;display:block;text-decoration:line-through}html{background-color:#fff3e5;overscroll-behavior-y:none;box-sizing:border-box;container-type:inline-size;scrollbar-gutter:stable}*,*:before,*:after{box-sizing:inherit}img{height:auto}.block-img{width:70%;display:block;margin:auto}@font-face{font-family:opensanseye;src:url(OpenSansVariableFont.woff2)format('woff2');font-display:swap}@font-face{font-family:jetbrainsmonolight;src:url(JetBrainsMonoNL-Light.woff2)format('woff2');font-display:swap;font-weight:400}@font-face{font-family:newcomputermodern;src:url(NewCM10-Book.woff2)format('woff2');font-display:swap}body{color:#000;line-height:1.5;font-family:opensanseye,sans-serif;font-variation-settings:"wght" 350;font-size:1.125rem;margin:0;display:flex;flex-direction:column;text-rendering:optimizeSpeed}main{padding:0 20px;width:min(var(--transition-width),100%);align-self:center;transition:transform 50ms linear 0ms}@container(inline-size > 0px){.site-title {
    
    --horizontal-size: min(var(--transition-width), 100cqi);
    
    
    margin: 0px 0px 0px 10px;
    
    
    padding: calc((12 / 700) * var(--horizontal-size)) 10px calc((11 / 700) * var(--horizontal-size)) 0px;
    
    text-align: center;
    font-variation-settings: "wght" 400;
    
    
    
    line-height: calc((60 / 700) * min(var(--transition-width), 100cqi));
    font-size: calc((60 / 700) * min(var(--transition-width), 100cqi));
    
    
    border-bottom: 3px solid #000000;
    
    border-radius: 0px 0px 10px 0px / 0px 0px 50% 0px;
  }
  header {
    align-self: center;
    padding: 0px 5px;
    
    width: min(var(--transition-width), 100%);
    border: 10px solid #AAAAAA;
    
    border-top-left-radius: min(10px, max(0px, calc(100cqi - var(--transition-width))));
    border-top-right-radius: min(10px, max(0px, calc(100cqi - var(--transition-width))));
    margin-top: min(20px, max(0px, calc((100cqi - var(--transition-width)) / 2)));
    
    
    background: linear-gradient(to bottom, #CCCCFF 0%, #AAAAFF 100%);
    
    flex-direction: column;
    white-space: nowrap;
    
    transition: transform 50ms linear 0ms;
  }

  .feed {
    display: flex;
    flex-direction: column;
    align-items: center;
    
    
    margin-top: 2em;
    
    
  }
  .feed > article > h2 {
    margin-top: 0.4em;
  }
  .feed > article > h2::before, .feed > article > h2::after {
    
    display: none;
  }
  .feed > article {
    
    margin: 0 -20px;
    
    width: calc(100% + 40px);
    
    padding: 0.25em calc(20px + min(15px, max(0px, (100cqi - var(--transition-width)) / 2))) 0px calc(20px + min(15px, max(0px, (100cqi - var(--transition-width)) / 2)));
    margin-bottom: 1em;
    border-width: 10px 0px;
    border-style: solid;
    border-top-color: #000000;
    border-bottom-color: transparent;
    border-top-left-radius: 3px 20px;
  }
  .feed > article[id]:target + article {
    border-top-color: transparent;
  }
}@container(inline-size > 700px){.feed > article[id]:target {
    scroll-margin-top: 10px;
    animation: pulse-div 600ms ease-out 1 forwards;
    border-radius: 0px;
    
    border-color: #1E8DBA;
    outline-style: outset;
  }
}@container(inline-size <= 700px){.feed > article[id]:target {
    scroll-margin-top: 10px;
    animation: pulse-div 600ms ease-out 1 forwards;
    border-radius: 20px / 25px;
    border-color: #46B5E2;
    
    
    outline-style: solid;
  }
}@keyframes pulse-div{0%{background-color:#f1e9d2;outline-width:0;outline-color:#32a1ce}75%{background-color:#e7dfc8;outline-width:15px;outline-color:#1e8dba}100%{background-color:#f1e9d2;outline-width:10px;outline-color:#32a1ce}}header>nav{display:flex;flex-flow:row wrap;justify-content:center;gap:15px 10px;font-size:24px;margin:-3px 10px 0 0;padding:10px 0 10px 10px;text-align:center;border-top:3px solid #000;border-radius:10px 0 0 0/50% 0 0 0}#prev-next{display:flex;flex-direction:row;justify-content:space-between;width:min(100%,700px)}#prev-next:not(:first-child){padding-top:10px;border-top:2px inset gray}#prev-button{transition:border-radius 50ms linear 0s,border-color 50ms ease-out 0s;border-radius:0;border-left:3px solid #0000}#prev-button:has(>.prev-next-link:hover){transition:none;border-radius:50px 0 0 50px/50% 0 0 50%;border-color:red}#prev-button:has(>.prev-next-link:active){transition:none;border-radius:60px 0 0 60px/50% 0 0 50%;border-color:#ff5000}.prev-link::before{content:"⮜ "}#next-button{transition:border-radius 50ms linear 0s,border-color 50ms ease-out 0s;border-radius:0;border-right:3px solid #0000}#next-button:has(>.prev-next-link:hover){transition:none;border-radius:0 50px 50px 0/0 50% 50% 0;border-color:red}#next-button:has(>.prev-next-link:active){transition:none;border-radius:0 60px 60px 0/0 50% 50% 0;border-color:#ff5000}#prev-button>.prev-next-link:any-link,#next-button>.prev-next-link:any-link{transition:color 50ms ease-out 0s;text-decoration:none;color:#6c0f7c}#prev-button>.prev-next-link:hover,#next-button>.prev-next-link:hover,#prev-button>.prev-next-link:active,#next-button>.prev-next-link:active{transition:none;color:red}.next-link::after{content:" ⮞"}blockquote{line-height:1.5;font-family:opensanseye,sans-serif;font-size:1.0625rem;font-style:italic;margin:0 30px;padding:20px 10px;position:relative}blockquote::before{content:"";background-image:url(blockquote-bracket.svg);background-size:30px 100%;position:absolute;left:-30px;width:30px;top:0;bottom:0}blockquote::after{content:"";background-image:url(blockquote-bracket.svg);background-size:30px 100%;position:absolute;right:-30px;width:30px;top:0;bottom:0;transform:rotate(180deg)}.block{margin:0 16px;padding:0 8px;border-width:0 3px 0 8px;border-style:solid;border-color:#000 #eee0ee #000 #000;background-color:#eee0e0}sup,sub{line-height:0}sup>a:any-link{text-decoration:underline;color:#6c0f7c}sup>a:hover{text-decoration:none;color:red}sup>a:active{text-decoration:none;outline:1px solid red;color:red}footer{margin-top:15px;padding:18px 0 36px;display:flex;flex-direction:column;align-items:center;gap:16px;border-top:2px groove gray}.compendium-refs-title{margin-top:0;padding-top:2em;text-align:center;border-width:3px 15px 6px;border-color:#000 #0000 gray #0000;border-style:solid solid groove;border-radius:5% 5% 20% 20%/2% 2% 10% 10%}.compendium-refs{margin-bottom:0}hr{border:none}hr::before{content:"◈ ◈ ◈";color:#000;display:block;text-align:center}.footnotes{width:min(var(--transition-width),100%);font-size:.75em;margin:0;padding:0 30px}.footnotes>li{margin-bottom:1em}.footnotes>li:target{background-color:#f1e9d2}.footnotes>li::marker{color:gray}.footnotes>li>p{margin-top:0}.footnotes>li>p:last-of-type{display:inline}.footnote-return:any-link{text-decoration:none;color:#6c0f7c}.footnote-return:hover{outline:1px solid #6c0f7c;color:red}.footnote-return:active{outline:2px solid red;color:red}.javanese{font-size:16px;font-weight:700}